Follow Techotopia on Twitter

On-line Guides
All Guides
eBook Store
iOS / Android
Linux for Beginners
Office Productivity
Linux Installation
Linux Security
Linux Utilities
Linux Virtualization
Linux Kernel
System/Network Admin
Programming
Scripting Languages
Development Tools
Web Development
GUI Toolkits/Desktop
Databases
Mail Systems
openSolaris
Eclipse Documentation
Techotopia.com
Virtuatopia.com

How To Guides
Virtualization
General System Admin
Linux Security
Linux Filesystems
Web Servers
Graphics & Desktop
PC Hardware
Windows
Problem Solutions
Privacy Policy

  




 

 

Debian GNU/Linux FAQ
Prev Home Next

3.8 Why can't I compile programs that require libtermcap?

Debian uses the terminfo database and the ncurses library of terminal interface routes, rather than the termcap database and the termcap library. Users who are compiling programs that require some knowledge of the terminal interface should replace references to libtermcap with references to libncurses.

To support binaries that have already been linked with the termcap library, and for which you do not have the source, Debian provides a package called termcap-compat. This provides both libtermcap.so.2 and /etc/termcap. Install this package if the program fails to run with the error message "can't load library 'libtermcap.so.2'", or complains about a missing /etc/termcap file.


Debian GNU/Linux FAQ
Prev Home Next

 
 
  Published under the terms of the GNU General Public License Design by Interspire